Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 885690 - provide an easy way to send a bug report using ftp/scp
Summary: provide an easy way to send a bug report using ftp/scp
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-meh
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vratislav Podzimek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 902828
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-10 12:29 UTC by Jiri Moskovcak
Modified: 2015-02-18 11:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:09:08 UTC
Type: Bug


Attachments (Terms of Use)
ftp upload config file (348 bytes, text/plain)
2012-12-10 12:29 UTC, Jiri Moskovcak
no flags Details
libreport config file (89 bytes, text/plain)
2012-12-10 12:29 UTC, Jiri Moskovcak
no flags Details
libreport anaconda config files (1.18 KB, application/zip)
2012-12-10 12:32 UTC, Jiri Moskovcak
no flags Details

Description Jiri Moskovcak 2012-12-10 12:29:18 UTC
Created attachment 660794 [details]
ftp upload config file

Description of problem:
Anaconda since F18 is missing this option. To add it back python-meh need to provide a libreport configuration to enable ftp/scp


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jiri Moskovcak 2012-12-10 12:29:48 UTC
Created attachment 660795 [details]
libreport config file

Comment 2 Jiri Moskovcak 2012-12-10 12:32:35 UTC
Created attachment 660797 [details]
libreport anaconda config files

Please see the README in the zip file for the details.

Comment 3 Jiri Moskovcak 2012-12-12 08:58:15 UTC
After discussion with vpodzime we decided to create libreport-anaconda subpackage instead of pushing these files to anaconda or python-meh. The only changes required on anaconda and python-meh side are:

1. add Requires: libreport-anaconda
2. add {"type", "anaconda"} to problem data when creating crash report, so libreport will recognize it as an Anaconda problem and will handle it accordingly

Comment 4 Vratislav Podzimek 2013-01-22 13:39:50 UTC
(In reply to comment #3)
> After discussion with vpodzime we decided to create libreport-anaconda
> subpackage instead of pushing these files to anaconda or python-meh. The
> only changes required on anaconda and python-meh side are:
> 
> 1. add Requires: libreport-anaconda
> 2. add {"type", "anaconda"} to problem data when creating crash report, so
> libreport will recognize it as an Anaconda problem and will handle it
> accordingly
Doesn't work, see bug #902828.

Comment 5 Vratislav Podzimek 2013-01-23 10:14:10 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > After discussion with vpodzime we decided to create libreport-anaconda
> > subpackage instead of pushing these files to anaconda or python-meh. The
> > only changes required on anaconda and python-meh side are:
> > 
> > 1. add Requires: libreport-anaconda
> > 2. add {"type", "anaconda"} to problem data when creating crash report, so
> > libreport will recognize it as an Anaconda problem and will handle it
> > accordingly
> Doesn't work, see bug #902828.
Patch tested with the fix for bug #902828 posted to anaconda-patches for a review.

Comment 6 Vratislav Podzimek 2013-02-14 14:19:34 UTC
Pushed to master.

Comment 7 Fedora End Of Life 2013-04-03 20:31:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 8 Fedora End Of Life 2015-01-09 22:31:32 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2015-02-18 11:09:08 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.